## gcc-snapshot 20260121

=== debian/changelog ===
gcc-snapshot (1:20260121-1ubuntu1) resolute; urgency=medium

  * Snapshot, taken from the trunk (20260121).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Jan 2026 06:59:49 +0100

gcc-snapshot (1:20260121-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20260121).
  * Don't build multilibs on s390x anymore. Closes: #1125360.
  * Build using amdgcn-tools-21. Closes: #1124101.

 -- Matthias Klose <doko@debian.org>  Wed, 21 Jan 2026 05:10:56 +0100

gcc-snapshot (1:20251201-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20251201).

 -- Matthias Klose <doko@debian.org>  Mon, 01 Dec 2025 09:37:27 +0100

=== debian/control ===
Source: gcc-snapshot
Section: devel
Priority: optional
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 4.7.2
Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.14), g++-multilib [amd64 i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 s390 sparc sparc64 x32] <!cross>,
  libc6.1-dev (>= 2.13-0ubuntu6) [alpha ia64] | libc0.3-dev (>= 2.13-0ubuntu6) [hurd-amd64 hurd-i386] | libc6-dev (>= 2.13-0ubuntu6), libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], lib32gcc-s1 [amd64 ppc64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el sparc64 x32], libn32gcc-s1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc-s1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc-s1 [amd64 i386], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-amd64 hurd-i386] | libc6-dbg,
  linux-libc-dev [m68k],
  m4, libtool, autoconf2.69,
  dwz, libunwind8-dev [ia64], libatomic-ops-dev [ia64],
  gawk, lzma, xz-utils, patchutils,
  libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any],
  binutils:native (>= 2.23), binutils-hppa64-linux-gnu:native (>= 2.23) [hppa],
  gperf, bison, flex,
  gettext, nvptx-tools [amd64 arm64 ppc64el], amdgcn-tools-21 [amd64],
  texinfo, locales-all, sharutils,
  procps, gnat-15:native [!arc !ia64 !sh3 !sh3eb !sh4eb], g++-15:native, netbase, gdc-15:native [!alpha !arc !ia64 !m68k !sh4 !s390 !hurd-amd64 !hurd-i386], python3:any, libxml2-dev [!alpha !arc !hppa !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !ppc64 !s390x !sh4 !sparc !sparc64 !x32 !i386 !hurd-i386 !arm !armel !armhf !hurd-amd64 !hurd-i386], cargo [!alpha !hppa !ia64 !m68k !sh4 !x32 !hurd-amd64 !hurd-i386],
  libisl-dev (>= 0.20), libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64], lib64z1-dev [i386], libx32z1-dev [amd64 i386], unzip <!nocheck>,
  dejagnu  [!hurd-amd64 !hurd-i386] <!nocheck>, git  [!hurd-amd64 !hurd-i386] <!nocheck>, chrpath, lsb-release, quilt, time,
  pkgconf, libgc-dev,
  g++-16-for-host <cross>, gobjc-16-for-host [!avr] <cross>, gfortran-16-for-host <cross>, gdc-16-for-host [!alpha !arc !ia64 !m68k !sh4 !s390 !hurd-amd64 !hurd-i386] <cross>, gccgo-16-for-host [!arc !avr !hppa !loong64 !m68k !sh4] <cross>, gnat-16-for-host [!arc !ia64 !sh3 !sh3eb !sh4eb] <cross>, gm2-16-for-host [!powerpc !ppc64 !sh4] <cross>, gcobol-16-for-host [!alpha !arc !hppa !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !ppc64 !s390x !sh4 !sparc !sparc64 !x32 !i386 !hurd-i386 !arm !armel !armhf !hurd-amd64 !hurd-i386] <cross>, ga68-16-for-host <cross>,
Build-Depends-Indep: doxygen <!nodoc>, graphviz <!nodoc>, ghostscript <!nodoc>, texlive-latex-base <!nodoc>, xsltproc <!nodoc>, libxml2-utils <!nodoc>, docbook-xsl-ns <!nodoc>,
Homepage: http://gcc.gnu.org/
Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc
Vcs-Git: https://salsa.debian.org/toolchain-team/gcc.git
XS-Testsuite: autopkgtest
Rules-Requires-Root: binary-targets

Package: gcc-snapshot
Architecture: any
Depends: binutils (>= ${binutils:Version}),
  ${dep:libcbiarchdev}, ${dep:libcdev}, ${dep:libunwinddev}, python3,
  ${snap:depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${snap:recommends}
Description: SNAPSHOT of the GNU Compiler Collection
 This package contains a recent development SNAPSHOT of all files
 contained in the GNU Compiler Collection (GCC).
 .
 The source code for this package has been exported from SVN trunk.
 .
 DO NOT USE THIS SNAPSHOT FOR BUILDING DEBIAN PACKAGES!
 .
 This package will NEVER hit the testing distribution. It is used for
 tracking gcc bugs submitted to the Debian BTS in recent development
 versions of gcc.

## gcc-snapshot 20260125

=== debian/changelog ===
gcc-snapshot (1:20260125-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20260125).
  * Configure --without-build-config.

 -- Matthias Klose <doko@debian.org>  Sun, 25 Jan 2026 05:13:23 +0100

=== debian/control ===
Source: gcc-snapshot
Section: devel
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 4.7.2
Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.14), g++-multilib [amd64 i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 s390 sparc sparc64 x32] <!cross>,
  libc6.1-dev (>= 2.23-1~) [alpha ia64] | libc0.3-dev (>= 2.23-1~) [hurd-amd64 hurd-i386] | libc6-dev (>= 2.23-1~), libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], lib32gcc-s1 [amd64 ppc64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el sparc64 x32], libn32gcc-s1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc-s1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc-s1 [amd64 i386], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-amd64 hurd-i386] | libc6-dbg,
  linux-libc-dev [m68k],
  m4, libtool, autoconf2.69,
  dwz, libunwind8-dev [ia64], libatomic-ops-dev [ia64],
  gawk, lzma, xz-utils, patchutils,
  libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any],
  binutils:native (>= 2.23), binutils-hppa64-linux-gnu:native (>= 2.23) [hppa],
  gperf, bison, flex,
  gettext, nvptx-tools [amd64 arm64 ppc64el], amdgcn-tools-21 [amd64],
  texinfo, locales-all, sharutils,
  procps, gnat-15:native [!arc !ia64 !sh3 !sh3eb !sh4eb], g++-15:native, netbase, gdc-15:native [!alpha !arc !ia64 !m68k !sh4 !s390 !hurd-amd64 !hurd-i386], python3:any, libxml2-dev [!alpha !arc !hppa !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !ppc64 !s390x !sh4 !sparc !sparc64 !x32 !i386 !hurd-i386 !arm !armel !armhf !hurd-amd64 !hurd-i386], cargo [!alpha !hppa !ia64 !m68k !sh4 !x32 !hurd-amd64 !hurd-i386],
  libisl-dev (>= 0.20), libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64], lib64z1-dev [i386], unzip <!nocheck>,
  dejagnu  [!alpha !hurd-amd64 !hurd-i386] <!nocheck>, git  [!alpha !hurd-amd64 !hurd-i386] <!nocheck>, chrpath, lsb-release, quilt, time,
  pkgconf, libgc-dev,
  g++-16-for-host <cross>, gobjc-16-for-host [!avr] <cross>, gfortran-16-for-host <cross>, gdc-16-for-host [!alpha !arc !ia64 !m68k !sh4 !s390 !hurd-amd64 !hurd-i386] <cross>, gccgo-16-for-host [!arc !avr !hppa !loong64 !m68k !sh4] <cross>, gnat-16-for-host [!arc !ia64 !sh3 !sh3eb !sh4eb] <cross>, gm2-16-for-host [!powerpc !ppc64 !sh4] <cross>, gcobol-16-for-host [!alpha !arc !hppa !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !ppc64 !s390x !sh4 !sparc !sparc64 !x32 !i386 !hurd-i386 !arm !armel !armhf !hurd-amd64 !hurd-i386] <cross>, ga68-16-for-host <cross>,
Build-Depends-Indep: doxygen <!nodoc>, graphviz <!nodoc>, ghostscript <!nodoc>, texlive-latex-base <!nodoc>, xsltproc <!nodoc>, libxml2-utils <!nodoc>, docbook-xsl-ns <!nodoc>,
Homepage: http://gcc.gnu.org/
Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc
Vcs-Git: https://salsa.debian.org/toolchain-team/gcc.git
XS-Testsuite: autopkgtest
Rules-Requires-Root: binary-targets

Package: gcc-snapshot
Architecture: any
Depends: binutils (>= ${binutils:Version}),
  ${dep:libcbiarchdev}, ${dep:libcdev}, ${dep:libunwinddev}, python3,
  ${snap:depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${snap:recommends}
Description: SNAPSHOT of the GNU Compiler Collection
 This package contains a recent development SNAPSHOT of all files
 contained in the GNU Compiler Collection (GCC).
 .
 The source code for this package has been exported from SVN trunk.
 .
 DO NOT USE THIS SNAPSHOT FOR BUILDING DEBIAN PACKAGES!
 .
 This package will NEVER hit the testing distribution. It is used for
 tracking gcc bugs submitted to the Debian BTS in recent development
 versions of gcc.

## gcc-snapshot 20260203

=== debian/changelog ===
gcc-snapshot (1:20260203-0ubuntu3) resolute; urgency=medium

  * Snapshot, taken from the trunk (20260203).
  * Update newlib to 4.6.0.20260123.
  * For Ubuntu, try to build the snapshot with --enable-checking=release
    to save some build time (currentl 13 days).
  * Apply proposed patch for PR d/123953, fixing ftbfs on ppc64le.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Feb 2026 18:16:21 +0100

=== debian/control ===
Source: gcc-snapshot
Section: devel
Priority: optional
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 4.7.2
Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.14), g++-multilib [amd64 i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc ppc64 s390 sparc sparc64 x32] <!cross>,
  libc6.1-dev (>= 2.13-0ubuntu6) [alpha ia64] | libc0.3-dev (>= 2.13-0ubuntu6) [hurd-amd64 hurd-i386] | libc6-dev (>= 2.13-0ubuntu6), libc6-dev-amd64 [i386 x32], libc6-dev-sparc64 [sparc], libc6-dev-sparc [sparc64], libc6-dev-s390x [s390], libc6-dev-i386 [amd64 x32], libc6-dev-powerpc [ppc64], libc6-dev-ppc64 [powerpc], lib32gcc-s1 [amd64 ppc64 mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el sparc64 x32], libn32gcc-s1 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], lib64gcc-s1 [i386 mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el powerpc sparc s390 x32], libc6-dev-mips64 [mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el], libc6-dev-mipsn32 [mips mipsel mips64 mips64el mipsr6 mipsr6el mips64r6 mips64r6el], libc6-dev-mips32 [mipsn32 mipsn32el mips64 mips64el mipsn32r6 mipsn32r6el mips64r6 mips64r6el], libc6-dev-x32 [amd64 i386], libx32gcc-s1 [amd64 i386], libc6.1-dbg [alpha ia64] | libc0.3-dbg [hurd-amd64 hurd-i386] | libc6-dbg,
  linux-libc-dev [m68k],
  m4, libtool, autoconf2.69,
  dwz, libunwind8-dev [ia64], libatomic-ops-dev [ia64],
  gawk, lzma, xz-utils, patchutils,
  libzstd-dev, zlib1g-dev, systemtap-sdt-dev [linux-any], python3:any, python3-psutil [!i386], python3-matplotlib [!i386],
  binutils:native (>= 2.23), binutils-hppa64-linux-gnu:native (>= 2.23) [hppa],
  gperf, bison, flex,
  gettext, nvptx-tools [amd64 arm64 ppc64el], amdgcn-tools-21 [amd64],
  texinfo, locales-all, sharutils,
  procps, gnat-15:native [!arc !ia64 !sh3 !sh3eb !sh4eb], g++-15:native, netbase, gdc-15:native [!alpha !arc !ia64 !m68k !sh4 !s390 !hurd-amd64 !hurd-i386], python3:any, libxml2-dev [!alpha !arc !hppa !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !ppc64 !s390x !sh4 !sparc !sparc64 !x32 !i386 !hurd-i386 !arm !armel !armhf !hurd-amd64 !hurd-i386], cargo [!alpha !hppa !ia64 !m68k !sh4 !x32 !hurd-amd64 !hurd-i386],
  libisl-dev (>= 0.20), libmpc-dev (>= 1.0), libmpfr-dev (>= 3.0.0-9~), libgmp-dev (>= 2:5.0.1~), lib32z1-dev [amd64], lib64z1-dev [i386], libx32z1-dev [amd64 i386], unzip <!nocheck>,
  dejagnu  [!hurd-amd64 !hurd-i386] <!nocheck>, git  [!hurd-amd64 !hurd-i386] <!nocheck>, python3-pytest [!alpha !hppa !m68k !sh4 !x32 !i386] <!nocheck>, python3-check-jsonschema [!alpha !hppa !m68k !sh4 !x32 !i386] <!nocheck>, chrpath, lsb-release, quilt, time,
  pkgconf, libgc-dev,
  g++-16-for-host <cross>, gobjc-16-for-host [!avr] <cross>, gfortran-16-for-host <cross>, gdc-16-for-host [!alpha !arc !ia64 !m68k !sh4 !s390 !hurd-amd64 !hurd-i386] <cross>, gccgo-16-for-host [!arc !avr !hppa !loong64 !m68k !sh4] <cross>, gnat-16-for-host [!arc !ia64 !sh3 !sh3eb !sh4eb] <cross>, gm2-16-for-host [!powerpc !ppc64 !sh4] <cross>, gcobol-16-for-host [!alpha !arc !hppa !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !ppc64 !s390x !sh4 !sparc !sparc64 !x32 !i386 !hurd-i386 !arm !armel !armhf !hurd-amd64 !hurd-i386] <cross>, ga68-16-for-host <cross>,
Build-Depends-Indep: doxygen <!nodoc>, graphviz <!nodoc>, ghostscript <!nodoc>, texlive-latex-base <!nodoc>, xsltproc <!nodoc>, libxml2-utils <!nodoc>, docbook-xsl-ns <!nodoc>,
Homepage: http://gcc.gnu.org/
Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc
Vcs-Git: https://salsa.debian.org/toolchain-team/gcc.git
XS-Testsuite: autopkgtest
Rules-Requires-Root: binary-targets

Package: gcc-snapshot
Architecture: any
Depends: binutils (>= ${binutils:Version}),
  ${dep:libcbiarchdev}, ${dep:libcdev}, ${dep:libunwinddev}, python3,
  ${snap:depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${snap:recommends}
Description: SNAPSHOT of the GNU Compiler Collection
 This package contains a recent development SNAPSHOT of all files
 contained in the GNU Compiler Collection (GCC).
 .
 The source code for this package has been exported from SVN trunk.
 .
 DO NOT USE THIS SNAPSHOT FOR BUILDING DEBIAN PACKAGES!
 .
 This package will NEVER hit the testing distribution. It is used for
 tracking gcc bugs submitted to the Debian BTS in recent development
 versions of gcc.

## gcc-snapshot 20260216

=== gcc/rust/checks/errors/feature/contrib/Makefile ===
# Copyright (C) 2025-2026 Free Software Foundation, Inc.

# This file is part of GCC.

# GCC is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.

# GCC is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with GCC; see the file COPYING3.  If not see
# <http://www.gnu.org/licenses/>.

OUT = ../rust-feature-defs.h

all: $(OUT)

mk-build-dir:
	mkdir -p build

build/parse.c: parse.y mk-build-dir
	$(YACC) $(YFLAGS) -o $@ --defines=build/parse.h $<

build/parse.h: build/parse.c;

build/scan.c: scan.l
	$(LEX) $(LFLAGS) -o $@ -Ca --header-file=build/scan.h $<

build/scan.h: build/scan.c;

build/%.o: build/%.c build/parse.h build/scan.h
	$(CC) $(CFLAGS) -c -Ibuild -o $@ $<

build/feature-extract: build/parse.o build/scan.o
	$(CC) $(LDFLAGS) $(LDLIBS) -o $@ $^

build/download.rs: fetch
	./$< $@

$(OUT): build/feature-extract build/download.rs
	# add copyright header + newline
	echo | \
	    cat copyright-stub.h - | \
	    sed "s/YYYY/$$(date +%Y)/" > build/rust-feature-defs.h
	cat build/download.rs | ./$< >> build/rust-feature-defs.h
	clang-format -i build/rust-feature-defs.h \
	    --style=file:../../../../../../contrib/clang-format
	mv build/rust-feature-defs.h $(OUT)

clean:
	$(RM) -r build

clean-all: clean
	$(RM) $(OUT)

=== debian/changelog ===
gcc-snapshot (1:20260216-1ubuntu1) resolute; urgency=medium

  * Snapshot, taken from the trunk (20260216).
  * On riscv64, default to rv64gc, RVA23 is currently broken.
    See PR target/124048.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Feb 2026 14:39:01 +0100

gcc-snapshot (1:20260216-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20260216).
  * Update newlib to 4.6.0.20260123.
  * For Ubuntu, try to build the snapshot with --enable-checking=release
    to save some build time (currentl 13 days).

 -- Matthias Klose <doko@debian.org>  Mon, 16 Feb 2026 12:21:03 +0100

=== debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-
# Build rules for gcc (>= 2.95) and gcc-snapshot
# Targets found in this makefile:
#	- unpack tarballs
#	- patch sources
#	- (re)create the control file
#	- create a debian/rules.parameters file, which is included
#	  by debian/rules2
# All other targets are passed to the debian/rules2 file

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

unexport LANG LC_ALL LC_CTYPE LC_COLLATE LC_TIME LC_NUMERIC LC_MESSAGES

default: build

include debian/rules.defs
include debian/rules.unpack
include debian/rules.patch

control: $(control_dependencies)
	@echo "Build environment: derivative=$(derivative), release=$(distrelease)"
	-mkdir -p $(stampdir)
	$(MAKE) -f debian/rules.conf $@

configure: control $(unpack_stamp) $(patch_stamp)
	$(MAKE) -f debian/rules2 $@

pre-build:
# no backport support for these releases ..., keep conditionals for
# Debian: jessie stretch buster bullseye ...
# UBuntu: precise trusty xenial bionic focal groovy hirsute ...
ifneq (,$(filter $(distrelease),lenny squeeze wheezy hardy lucid))
	@echo explicitely fail the build for $(distribution)/$(distrelease) on $(DEB_TARGET_ARCH).
	@echo no bug report required. please figure out the back port yourself.
	false
endif
#ifeq ($(PKGSOURCE),gcc-16)
#  ifneq (,$(findstring native, $(build_type)))
#    ifneq (,$(findstring mips, $(TARGET_ALIAS)))
#	@echo "native compiler for $(TARGET_ALIAS) not built from this source."
#	@echo "See https://lists.debian.org/debian-gcc/2021/05/msg00011.html"
#	false
#    endif
#  endif
#endif

build: pre-build control
	$(MAKE) $(NJOBS) -f debian/rules2 $@
build-arch: pre-build control
	$(MAKE) $(NJOBS) -f debian/rules2 $@
build-indep: pre-build control
	DEB_BUILD_OPTIONS="$(DEB_BUILD_OPTIONS) nostrap nohppa64 nonvptx nogcn nocheck nopgo nolto" \
	    $(MAKE) $(NJOBS) -f debian/rules2 $@

check: $(check_stamp)
$(check_stamp): $(build_stamp)
	$(MAKE) -f debian/rules2 $@

clean:
	rm -rf $(stampdir)
# remove temporary dirs used for unpacking
	rm -rf $(gcc_srcdir) $(gdc_srcdir) $(newlib_srcdir) $(binutils_srcdir)
	-$(MAKE) -f debian/rules2 $@
	rm -rf $(srcdir)* $(builddir)* debian/tmp* html
	rm -f bootstrap-* test-protocol* first-move-stamp
	rm -f debian/*.tmp
	rm -f debian/soname-cache
	find debian -name '.#*' | xargs -r rm -f
	rm -f $(series_file)*
	rm -rf .pc
	dh_clean

install:
	$(MAKE) -f debian/rules2 $@

html-docs doxygen-docs update-doxygen-docs update-ada-files xxx:
	$(MAKE) -f debian/rules2 $@

binary-arch binary: build-arch
	$(MAKE) -f debian/rules2 $@

binary-indep: build-indep
	DEB_BUILD_OPTIONS="$(DEB_BUILD_OPTIONS) nostrap nohppa64 nonvptx nocheck nopgo nolto" \
	    $(MAKE) -f debian/rules2 $@

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

release:
	foo=$(shell basename $(CURDIR)); \
		if [ "$$foo" != "gcc-3.4" ]; then \
			find -name CVS -o -name .cvsignore -o -name '.#*' | \
				xargs rm -rf; \
		fi

.NOTPARALLEL:
.PHONY: build clean binary-indep binary-arch binary release
